Subject: bug#5843: 23.1.95; Bug in recentf-include-p causes data loss

From: Leo <[email-masked]>
Date: Tue, 06 Apr 2010 12:59:17 +0100

There's a bug in `recentf-include-p' that could cause losing all entries
in recentf-list. When a predicate in `recentf-exclude' errs,
`recentf-include-p' returns nil and thus causes an corresponding entry
to be removed. My entire recentf-list (500ish entries) has been damaged
because of this and before I found out the data saved has already been
overwritten.

I think recentf-include-p should not silently ignore an error from any
predicates in recentf-exclude because an error signals a bug in the
predicate itself.

In GNU Emacs 23.1.95.1 (x86_64-apple-darwin10.3.0, Carbon Version 1.6.0 AppKit 1038.29)
 of 2010-04-03 on Victoria.local
Windowing system distributor `Apple Inc.', version 10.6.3